pdFactor.reStruct {nlme} | R Documentation

## Extract Square-Root Factor from Components of an reStruct Object

### Description

This method function extracts square-root factors of the positive-definite matrices corresponding to the `pdMat` elements of `object`.

### Usage

    ## S3 method for class 'reStruct':
    pdFactor(object)

### Arguments

`object` | an object inheriting from class `reStruct`, representing a random effects structure and consisting of a list of `pdMat` objects.

### Value

a vector with square-root factors of the positive-definite matrices corresponding to the elements of `object` stacked column-wise.

### Note

This function is used intensively in optimization algorithms and its value is returned as a vector for efficiency reasons. The `pdMatrix` function can be used to obtain square-root factors in matrix form.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`pdMatrix.reStruct`, `pdFactor.pdMat`

### Examples

    data(Orthodont)
    rs1 <- reStruct(pdSymm(diag(3), ~age+Sex, data = Orthodont))
    pdFactor(rs1)

[Package Contents]